summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorRuss Allbery <eagle@eyrie.org>2018-05-27 21:40:28 -0700
committerRuss Allbery <eagle@eyrie.org>2018-05-27 21:40:28 -0700
commiteafb48ca60858a6dc480568ff570e8a997ee5113 (patch)
tree30c1fb6f15d4579058acf8242b0f1649783429c6 /bootstrap
parentbdcb3741db27d6b773ce7cdf05aab063a70ea100 (diff)
Rename autogen to bootstrap
Rename the script to bootstrap from a Git checkout to bootstrap, matching the emerging consensus in the Autoconf world.
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap27
1 files changed, 27 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..c725fd9
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Run this shell script to bootstrap as necessary after a fresh checkout.
+
+set -e
+
+# Regenerate all the autotools files.
+autoreconf -i --force
+
+# Generate manual pages.
+version=`grep '^wallet' NEWS | head -1 | cut -d' ' -f2`
+for doc in client/wallet client/wallet-rekey ; do
+ pod2man --release="$version" --center=wallet \
+ --name=`basename "$doc" | tr a-z A-Z` "$doc".pod > "$doc".1
+done
+for doc in contrib/wallet-rekey-periodic contrib/wallet-summary \
+ contrib/wallet-unknown-hosts ; do
+ pod2man --release="$version" --center=wallet --section=8 \
+ --name=`basename "$doc" | tr a-z A-Z` "$doc" > "$doc".8
+done
+for doc in server/keytab-backend server/wallet-admin \
+ server/wallet-admin server/wallet-backend \
+ server/wallet-report ; do
+ pod2man --release="$version" --center=wallet --section=8 \
+ --name=`basename "$doc" | tr a-z A-Z` "$doc.in" > "$doc".8
+done
+